unit SampleTN;

interface

uses
  {$IFDEF WIN32} Windows, ComCtrls, {$ELSE} WinTypes, WinProcs, {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, HLObjIns, ExtCtrls, Tabnotbk,
  HLClass, HLTbNtBk, HLFrmDsg, Grids, Tabs, HLTabs;

type
  TSampleTNf = class(TForm)
    Label1: TLabel;
    Panel1: TPanel;
    ResourceList: TListBox;
    Button1: TButton;
    Image1: TImage;
    HLObjectInspector1: THLObjectInspector;
    HLTabbedNotebook1: THLTabbedNotebook;
    procedure HLTabbedNotebook1Select(Sender: TObject;
      APersistentClass: TPersistentClass);
    procedure FormCreate(Sender: TObject);
  private
    {HLTabbedNotebook1: THLTabbedNotebook;}
    function LoadStr(Index: integer): string;
    function FmtStr(Index: integer; const Args: array of const): string;
  public
  end;

var
  SampleTNf: TSampleTNf;

implementation

uses SamplePY, SampleAC, SampleU;

{$R *.DFM}

const
  SPrograms = 0;
  SPayroll = 1;
  SAccount = 2;
  SDialogs = 3;
  SPointer = 4;
  SComponent = 5;

function TSampleTNf.LoadStr(Index: integer): string;
begin
  Result := '';
  with ResourceList.Items do begin
    if (Index < Count) then Result := Strings[Index];
  end;
end;

function TSampleTNf.FmtStr(Index: integer; const Args: array of const): string;
begin
  Result := Format(LoadStr(Index), Args);
end;

procedure TSampleTNf.FormCreate(Sender: TObject);
begin
  with HLTabbedNotebook1 do begin

    {Pages.Clear;} { DO NOT CLEAR when you using Delphi 1 }
    ReadDcrFile('HLBUTTON.DCR');
    ReadDcrFile('SampleTN.DCR');
    ReadDcrFile('stdreg.DCR');

    AddPage(LoadStr(SPrograms));
    AddComponent(TSamplePYf, LoadStr(SPayroll));
    AddComponent(TSampleACf, LoadStr(SAccount));

    AddPage(LoadStr(SDialogs));
    AddComponent(TPrinterSetupDialog, '');
    AddComponent(TPrintDialog, '');

    PageIndex := 0;
    Repaint;
  end;
end;

procedure TSampleTNf.HLTabbedNotebook1Select(Sender: TObject;
  APersistentClass: TPersistentClass);
begin
  if (APersistentClass = nil) then begin
    ShowMessage(LoadStr(SPointer));
  end else begin
    if (CompareText(APersistentClass.ClassName, TSamplePYf.ClassName)=0) then begin
      SamplePYf:= TSamplePYf.Create(Application);
      SamplePYf.ShowModal;
      SamplePYf.Destroy;
    end else if (CompareText(APersistentClass.ClassName, TSampleACf.ClassName)=0) then begin
      SampleACf := TSampleACf.Create(Application);
      SampleACf.ShowModal;
      SampleACf.Destroy;
    end else begin
      ShowMessage(FmtStr(SComponent, [APersistentClass.ClassName]));
    end;
  end;
end;

end.
